
// Import any other script files here, e.g.:
// import * as myModule from "./mymodule.js";

runOnStartup(async runtime =>
{
	// Code to run on the loading screen.
	// Note layouts, objects etc. are not yet available.
	runtime.globalVars.navigatorLng = navigator.language;
	runtime.addEventListener("beforeprojectstart", () => OnBeforeProjectStart(runtime));
	GAMESNACKS.subscribeToAudioUpdates((isAudioEnabled) => {
  if (isAudioEnabled) {
    runtime.globalVars.soundOn = 1;
	runtime.globalVars.musicOn = 1;
	runtime.callFunction("musicEnable")
	runtime.callFunction("soundEnable")
	runtime.callFunction("PlayGamePlayMusic","gameplay","gameplay")
	
  } else {
    console.log("sound diable trigger")
	runtime.callFunction("musicDisable")
	runtime.callFunction("soundDisable")
	runtime.globalVars.soundOn = 0;
	runtime.globalVars.musicOn = 0;
  }
});

});

async function OnBeforeProjectStart(runtime)
{
	// Code to run just before 'On start of layout' on
	// the first layout. Loading has finished and initial
	// instances are created and available to use here.
	
	runtime.addEventListener("tick", () => Tick(runtime));
}

function Tick(runtime)
{
	// Code to run every tick
}
